# Uses of Class
org.mariadb.jdbc.type.Polygon

Packages that use Polygon
Package
Description
org.mariadb.jdbc.plugin.codec
org.mariadb.jdbc.type

## Uses of Polygon in org.mariadb.jdbc.plugin.codec

Methods in org.mariadb.jdbc.plugin.codec that return Polygon
Modifier and Type
Method
Description
`Polygon`
PolygonCodec.`decodeBinary(org.mariadb.jdbc.client.ReadableByteBuf buf, MutableInt length, org.mariadb.jdbc.client.ColumnDecoder column, Calendar cal)`
`Polygon`
PolygonCodec.`decodeText(org.mariadb.jdbc.client.ReadableByteBuf buf, MutableInt length, org.mariadb.jdbc.client.ColumnDecoder column, Calendar cal)`

## Uses of Polygon in org.mariadb.jdbc.type

Methods in org.mariadb.jdbc.type that return Polygon
Modifier and Type
Method
Description
`Polygon[]`
MultiPolygon.`getPolygons()`
Get polygons
Constructors in org.mariadb.jdbc.type with parameters of type Polygon
Modifier
Constructor
Description
``
`MultiPolygon(Polygon[] polygons)`
Constructor